Bug 511916 - Review Request: dracut-modules-olpc - OLPC initramfs modules
Review Request: dracut-modules-olpc - OLPC initramfs modules
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2009-07-15 12:40 EDT by Daniel Drake
Modified: 2009-07-22 17:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-17 13:07:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pbrobinson: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Drake 2009-07-15 12:40:47 EDT
Spec URL: http://dev.laptop.org/~dsd/20090715/dracut-modules-olpc.spec
SRPM URL: http://dev.laptop.org/~dsd/20090715/olpc-bootanim-2.7-1.fc11.src.rpm
Description:

This new package is a dracut module which implements OLPC-specific technologies, including our "versioned layout" filesystem and initramfs-level antitheft security. A couple more modules will be added in the near future.

We'd like to include this in Fedora 11.

rpmlint produces 2 bogus non-executable-script warnings -- in this case, the scripts are not meant to be executable until dracut puts them in the initramfs.
Comment 1 Daniel Drake 2009-07-15 12:41:25 EDT
sorry, SRPM URL is http://dev.laptop.org/~dsd/20090715/dracut-modules-olpc-0.2.1-1.fc11.src.rpm
Comment 2 Peter Robinson 2009-07-15 18:11:31 EDT
I'll take this one. Some initial comments.

Source URL isn't correct. It should be:

http://dev.laptop.org/~dsd/dracut-modules-olpc/dracut-modules-olpc-0.2.1.tar.bz2
or
http://dev.laptop.org/~dsd/%{name}/%{name}-%{version}.tar.bz2

Build root isn't the usual one. Something like the following is suggested.

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

It also doesn't build in koji. I think it needs pyrex.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1477535
Comment 3 Peter Robinson 2009-07-15 18:22:48 EDT
A full review. The only thing blocking is the build in koji and the few minor bits mentioned above.

Another small one is you can use %{_datadir} instead of %{_prefix}/share/ in the files section.

+ rpmlint output

rpmlint dracut-modules-olpc.spec dracut-modules-olpc-0.2.1-1.fc11.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  f57a07be5dfce912a7058be7ba6cec30  dracut-modules-olpc-0.2.1.tar.bz2
? package successfully builds on at least one architecture
  tested using koji scratch build
? BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
? reviewer should build the package in mock/koji
? the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 5 Peter Robinson 2009-07-16 06:26:29 EDT
Looks good. APPROVED!
Comment 6 Daniel Drake 2009-07-16 07:08:24 EDT
New Package CVS Request
=======================
Package Name: dracut-modules-olpc
Short Description: OLPC initramfs modules
Owners: dsd pbrobinson cjb
Branches: F-11
InitialCC:
Comment 7 Jason Tibbitts 2009-07-17 11:35:35 EDT
CVS done.
Comment 8 Fedora Update System 2009-07-17 13:01:53 EDT
dracut-modules-olpc-0.2.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dracut-modules-olpc-0.2.1-1.fc11
Comment 9 Daniel Drake 2009-07-17 13:07:50 EDT
thanks!
Comment 10 Fedora Update System 2009-07-22 17:49:32 EDT
dracut-modules-olpc-0.2.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.